<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref19.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::Parser::ErrorList - Synopsis::Parser::kArgDeclarator</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::Parser::ErrorList - Synopsis::Parser::kArgDeclarator</h1><div class="xref-name"><a id="Synopsis_mParser_mErrorList" /><h2 >Typedef Synopsis::Parser::ErrorList</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#ErrorList" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#43">Synopsis/Parser.hh:43</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#48">Synopsis/Parser.hh:48</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#78">Synopsis/Parser.hh:78</a>: in class <a href="../Scopes/Synopsis/Parser/StatusGuard.html" >Synopsis::Parser::StatusGuard</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#458">Synopsis/Parser.hh:458</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mGCC" /><h2 >Enumerator Synopsis::Parser::GCC</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#GCC" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#33">Synopsis/Parser.hh:33</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mMSVC" /><h2 >Enumerator Synopsis::Parser::MSVC</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#MSVC" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#33">Synopsis/Parser.hh:33</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mParser_lLexer_A_cSymbolFactory_A_cint_r" /><h2 >Constructor Synopsis::Parser::Parser&#40;Lexer&amp;&#44;SymbolFactory&amp;&#44;int&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#Parser_lLexer_A_cSymbolFactory_A_cint_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#45">Synopsis/Parser.hh:45</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mRuleSet" /><h2 >Enum Synopsis::Parser::RuleSet</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#RuleSet" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#33">Synopsis/Parser.hh:33</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mStatusGuard" /><h2 >Class Synopsis::Parser::StatusGuard</h2><ul>
<li><a href="../Scopes/Synopsis/Parser/StatusGuard.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#68">Synopsis/Parser.hh:68</a>: in class <a href="../Scopes/Synopsis/Parser/StatusGuard.html" >Synopsis::Parser::StatusGuard</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parser.hh.html#71">Synopsis/Parser.hh:71</a>: Constructor <a href="../Scopes/Synopsis/Parser/StatusGuard.html#StatusGuard_lParser_A_r" >StatusGuard&#40;Parser&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#72">Synopsis/Parser.hh:72</a>: Destructor <a href="../Scopes/Synopsis/Parser/StatusGuard.html#_tStatusGuard_l_r" >~StatusGuard&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#73">Synopsis/Parser.hh:73</a>: Member function <a href="../Scopes/Synopsis/Parser/StatusGuard.html#commit_l_r" >commit&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#76">Synopsis/Parser.hh:76</a>: Data member <a href="../Scopes/Synopsis/Parser/StatusGuard.html#my_lexer" >my_lexer</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#77">Synopsis/Parser.hh:77</a>: Data member <a href="../Scopes/Synopsis/Parser/StatusGuard.html#my_token_mark" >my_token_mark</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#78">Synopsis/Parser.hh:78</a>: Data member <a href="../Scopes/Synopsis/Parser/StatusGuard.html#my_errors" >my_errors</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#79">Synopsis/Parser.hh:79</a>: Data member <a href="../Scopes/Synopsis/Parser/StatusGuard.html#my_error_mark" >my_error_mark</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#80">Synopsis/Parser.hh:80</a>: Data member <a href="../Scopes/Synopsis/Parser/StatusGuard.html#my_committed" >my_committed</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mStatusGuard_mStatusGuard_lParser_A_r" /><h2 >Constructor Synopsis::Parser::StatusGuard::StatusGuard&#40;Parser&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser/StatusGuard.html#StatusGuard_lParser_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#71">Synopsis/Parser.hh:71</a>: in class <a href="../Scopes/Synopsis/Parser/StatusGuard.html" >Synopsis::Parser::StatusGuard</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mStatusGuard_mcommit_l_r" /><h2 >Member function Synopsis::Parser::StatusGuard::commit&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser/StatusGuard.html#commit_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#73">Synopsis/Parser.hh:73</a>: in class <a href="../Scopes/Synopsis/Parser/StatusGuard.html" >Synopsis::Parser::StatusGuard</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mStatusGuard_mmy_committed" /><h2 >Data member Synopsis::Parser::StatusGuard::my_committed</h2><ul>
<li><a href="../Scopes/Synopsis/Parser/StatusGuard.html#my_committed" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#80">Synopsis/Parser.hh:80</a>: in class <a href="../Scopes/Synopsis/Parser/StatusGuard.html" >Synopsis::Parser::StatusGuard</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#73">Synopsis/Parser.hh:73</a>: in member function <a href="../Scopes/Synopsis/Parser/StatusGuard.html#commit_l_r" >Synopsis::Parser::StatusGuard::commit&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mStatusGuard_mmy_error_mark" /><h2 >Data member Synopsis::Parser::StatusGuard::my_error_mark</h2><ul>
<li><a href="../Scopes/Synopsis/Parser/StatusGuard.html#my_error_mark" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#79">Synopsis/Parser.hh:79</a>: in class <a href="../Scopes/Synopsis/Parser/StatusGuard.html" >Synopsis::Parser::StatusGuard</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mStatusGuard_mmy_errors" /><h2 >Data member Synopsis::Parser::StatusGuard::my_errors</h2><ul>
<li><a href="../Scopes/Synopsis/Parser/StatusGuard.html#my_errors" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#78">Synopsis/Parser.hh:78</a>: in class <a href="../Scopes/Synopsis/Parser/StatusGuard.html" >Synopsis::Parser::StatusGuard</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mStatusGuard_mmy_lexer" /><h2 >Data member Synopsis::Parser::StatusGuard::my_lexer</h2><ul>
<li><a href="../Scopes/Synopsis/Parser/StatusGuard.html#my_lexer" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#76">Synopsis/Parser.hh:76</a>: in class <a href="../Scopes/Synopsis/Parser/StatusGuard.html" >Synopsis::Parser::StatusGuard</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mStatusGuard_mmy_token_mark" /><h2 >Data member Synopsis::Parser::StatusGuard::my_token_mark</h2><ul>
<li><a href="../Scopes/Synopsis/Parser/StatusGuard.html#my_token_mark" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#77">Synopsis/Parser.hh:77</a>: in class <a href="../Scopes/Synopsis/Parser/StatusGuard.html" >Synopsis::Parser::StatusGuard</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mStatusGuard_m_tStatusGuard_l_r" /><h2 >Destructor Synopsis::Parser::StatusGuard::~StatusGuard&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser/StatusGuard.html#_tStatusGuard_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#72">Synopsis/Parser.hh:72</a>: in class <a href="../Scopes/Synopsis/Parser/StatusGuard.html" >Synopsis::Parser::StatusGuard</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mTemplateDeclKind" /><h2 >Enum Synopsis::Parser::TemplateDeclKind</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#TemplateDeclKind" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#58">Synopsis/Parser.hh:58</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#104">Synopsis/Parser.hh:104</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_maccess_decl_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::access_decl&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#224">Synopsis/Parser.hh:224</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_madditive_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::additive_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#304">Synopsis/Parser.hh:304</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mallocate_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::allocate_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#373">Synopsis/Parser.hh:373</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mallocate_initializer_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::allocate_initializer&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#377">Synopsis/Parser.hh:377</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mallocate_type_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::allocate_type&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#375">Synopsis/Parser.hh:375</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mand_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::and_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#274">Synopsis/Parser.hh:274</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_massign_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::assign_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#238">Synopsis/Parser.hh:238</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mbase_clause_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::base_clause&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#221">Synopsis/Parser.hh:221</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mcast_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::cast_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#325">Synopsis/Parser.hh:325</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mcast_operator_name_lPTree_mNode_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::cast_operator_name&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#184">Synopsis/Parser.hh:184</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mclass_body_lPTree_mClassBody_S_A_r" /><h2 >Synopsis::Parser::class_body&#40;PTree::ClassBody*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#222">Synopsis/Parser.hh:222</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mclass_member_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::class_member&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#223">Synopsis/Parser.hh:223</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mclass_spec_lPTree_mClassSpec_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::class_spec&#40;PTree::ClassSpec*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#206">Synopsis/Parser.hh:206</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mcompound_statement_lPTree_mBlock_S_A_cbool_r" /><h2 >Synopsis::Parser::compound_statement&#40;PTree::Block*&amp;&#44;bool&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#394">Synopsis/Parser.hh:394</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mcondition_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::condition&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#143">Synopsis/Parser.hh:143</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mconditional_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::conditional_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#244">Synopsis/Parser.hh:244</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mconst_declaration_lPTree_mDeclaration_S_A_cPTree_mEncoding_A_cPTree_mNode_S_cPTree_mNode_S_r" /><h2 >Synopsis::Parser::const_declaration&#40;PTree::Declaration*&amp;&#44;PTree::Encoding&amp;&#44;PTree::Node*&#44;PTree::Node*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#136">Synopsis/Parser.hh:136</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mconstructor_decl_lPTree_mNode_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::constructor_decl&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#166">Synopsis/Parser.hh:166</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mdeclaration_lPTree_mDeclaration_S_A_r" /><h2 >Synopsis::Parser::declaration&#40;PTree::Declaration*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#134">Synopsis/Parser.hh:134</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mdeclaration_statement_lPTree_mDeclaration_S_A_r" /><h2 >Synopsis::Parser::declaration_statement&#40;PTree::Declaration*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#440">Synopsis/Parser.hh:440</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mdeclarator_lPTree_mNode_S_A_cDeclKind_cbool_cPTree_mEncoding_A_cPTree_mEncoding_A_cbool_cbool_r" /><h2 >Synopsis::Parser::declarator&#40;PTree::Node*&amp;&#44;DeclKind&#44;bool&#44;PTree::Encoding&amp;&#44;PTree::Encoding&amp;&#44;bool&#44;bool&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#172">Synopsis/Parser.hh:172</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mdeclarator2_lPTree_mNode_S_A_cDeclKind_cbool_cPTree_mEncoding_A_cPTree_mEncoding_A_cbool_cbool_cPTree_mNode_S_S_r" /><h2 >Synopsis::Parser::declarator2&#40;PTree::Node*&amp;&#44;DeclKind&#44;bool&#44;PTree::Encoding&amp;&#44;PTree::Encoding&amp;&#44;bool&#44;bool&#44;PTree::Node**&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#175">Synopsis/Parser.hh:175</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mdeclare_lT_S_r" /><h2 >Member function template Synopsis::Parser::declare&#40;T*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#declare_lT_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#87">Synopsis/Parser.hh:87</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mdefinition_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::definition&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#90">Synopsis/Parser.hh:90</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mdesignation_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::designation&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#201">Synopsis/Parser.hh:201</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mdo_statement_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::do_statement&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#416">Synopsis/Parser.hh:416</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_menum_body_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::enum_body&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#205">Synopsis/Parser.hh:205</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_menum_spec_lPTree_mEnumSpec_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::enum_spec&#40;PTree::EnumSpec*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#204">Synopsis/Parser.hh:204</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mequality_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::equality_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#281">Synopsis/Parser.hh:281</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_merrors_l_rconst" /><h2 >Member function Synopsis::Parser::errors&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#errors_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#48">Synopsis/Parser.hh:48</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mexclusive_or_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::exclusive_or_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#268">Synopsis/Parser.hh:268</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mexpr_statement_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::expr_statement&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#439">Synopsis/Parser.hh:439</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mexpression_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::expression&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#231">Synopsis/Parser.hh:231</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mextern_template_decl_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::extern_template_decl&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#132">Synopsis/Parser.hh:132</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mfor_statement_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::for_statement&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#417">Synopsis/Parser.hh:417</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mfunction_arguments_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::function_arguments&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#200">Synopsis/Parser.hh:200</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mfunction_body_lPTree_mBlock_S_A_r" /><h2 >Synopsis::Parser::function_body&#40;PTree::Block*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#389">Synopsis/Parser.hh:389</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mif_statement_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::if_statement&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#401">Synopsis/Parser.hh:401</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_minclusive_or_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::inclusive_or_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#262">Synopsis/Parser.hh:262</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_minit_declarator_lPTree_mNode_S_A_cPTree_mEncoding_A_cbool_cbool_r" /><h2 >Synopsis::Parser::init_declarator&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#44;bool&#44;bool&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#171">Synopsis/Parser.hh:171</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_minit_declarator_list_lPTree_mNode_S_A_cPTree_mEncoding_A_cbool_cbool_r" /><h2 >Synopsis::Parser::init_declarator_list&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#44;bool&#44;bool&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#170">Synopsis/Parser.hh:170</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_minitialize_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::initialize_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#202">Synopsis/Parser.hh:202</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mintegral_decl_statement_lPTree_mDeclaration_S_A_cPTree_mEncoding_A_cPTree_mNode_S_cPTree_mNode_S_cPTree_mNode_S_r" /><h2 >Synopsis::Parser::integral_decl_statement&#40;PTree::Declaration*&amp;&#44;PTree::Encoding&amp;&#44;PTree::Node*&#44;PTree::Node*&#44;PTree::Node*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#441">Synopsis/Parser.hh:441</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mintegral_declaration_lPTree_mDeclaration_S_A_cPTree_mEncoding_A_cPTree_mNode_S_cPTree_mNode_S_cPTree_mNode_S_r" /><h2 >Synopsis::Parser::integral_declaration&#40;PTree::Declaration*&amp;&#44;PTree::Encoding&amp;&#44;PTree::Node*&#44;PTree::Node*&#44;PTree::Node*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#135">Synopsis/Parser.hh:135</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mis_allocate_expr_lToken_mType_r" /><h2 >Synopsis::Parser::is_allocate_expr&#40;Token::Type&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#372">Synopsis/Parser.hh:372</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mis_constructor_decl_l_r" /><h2 >Member function Synopsis::Parser::is_constructor_decl&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#is_constructor_decl_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#145">Synopsis/Parser.hh:145</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mis_ptr_to_member_lint_r" /><h2 >Member function Synopsis::Parser::is_ptr_to_member&#40;int&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#is_ptr_to_member_lint_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#146">Synopsis/Parser.hh:146</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mis_template_args_l_r" /><h2 >Member function Synopsis::Parser::is_template_args&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#is_template_args_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#384">Synopsis/Parser.hh:384</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mis_type_specifier_l_r" /><h2 >Member function Synopsis::Parser::is_type_specifier&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#is_type_specifier_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#94">Synopsis/Parser.hh:94</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mkArgDeclarator" /><h2 >Enumerator Synopsis::Parser::kArgDeclarator</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#kArgDeclarator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#57">Synopsis/Parser.hh:57</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
